package com.proyek.akhir.kodel.ui.koperasi.beranda.pinjaman

import android.os.Bundle
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import androidx.lifecycle.Observer
import androidx.lifecycle.ViewModelProvider
import androidx.recyclerview.widget.LinearLayoutManager
import com.proyek.akhir.kodel.R
import com.proyek.akhir.kodel.data.response.PinjamItem
import com.proyek.akhir.kodel.ui.user.dashboard.DashboardViewModel
import kotlinx.android.synthetic.main.activity_peminjam_koperasi.*

class PeminjamKoperasiActivity : AppCompatActivity() {
    private lateinit var peminjamViewModel: DashboardViewModel

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_peminjam_koperasi)

        rvPeminjamKoperasi.setHasFixedSize(true)
        rvPeminjamKoperasi.layoutManager =
            LinearLayoutManager(this, LinearLayoutManager.VERTICAL, false)

        refreshPeminjam.setOnRefreshListener {
            refreshPeminjam.isRefreshing = true
            showAllRecyclePenunggak()
        }

        refreshPeminjam.isRefreshing = true
        showAllRecyclePenunggak()
    }

    private fun showAllRecyclePenunggak() {
        peminjamViewModel = ViewModelProvider(this).get(DashboardViewModel::class.java)
        peminjamViewModel.getAllPeminjam()
        peminjamViewModel.setDataPeminjam().observe(this, Observer { peminjam ->
            if (peminjam != null) {
                Toast.makeText(this, peminjam[0].idAnggota.toString(), Toast.LENGTH_SHORT).show()
                showData(peminjam)
                refreshPeminjam.isRefreshing = false

            } else {
                refreshPeminjam.isRefreshing = false
                Toast.makeText(this, "Koneksi Lemah, Refresh!", Toast.LENGTH_SHORT).show()
            }
        })
    }

    private fun showData(peminjam: ArrayList<PinjamItem>) {
        rvPeminjamKoperasi.adapter = PeminjamKoperasiAdapter(peminjam)
    }
}
